@media not all and (min-width: 1512px) {
  :root {
    --wp--custom--wrapper--py: 100px !important;
    --wp--custom--wrapper--py-b: 60px !important;
    --wp--custom--wrapper--px: 40px !important;
  }

  body::before {
    transform: translateX(calc(((-100vw - 120px) / 4) + 125px)) !important;
  }

  body::after {
    transform: translateX(calc(((-100vw - 120px) / 4) + 5px)) !important;
  }
}

@media not all and (min-width: 1280px) {
  body::before {
    transform: translateX(-100px) !important;
  }

  body::after {
    transform: translateX(-220px) !important;
  }

  /* --- POPUP --- */

  .popup-formulaire {
    width: 600px !important;
    padding: var(--wp--preset--spacing--60) !important;
  }

  .popup-formulaire .title-popup {
    font-size: 36px !important;
  }

  .popup-formulaire .text-popup {
    font-size: 24px !important;
  }
}

@media not all and (min-width: 1024px) {
  :root {
    --wp--preset--font-size--h-1: 40px !important;
    --wp--preset--font-size--h-2: 36px !important;
    --wp--preset--font-size--h-3: 32px !important;
  }

  body::before {
    display: none !important;
  }

  body::after {
    display: none !important;
  }
  /* --- POPUP --- */

  .popup-formulaire {
    padding: var(--wp--preset--spacing--40) !important;
  }
}

@media not all and (min-width: 768px) {
  :root {
    --wp--preset--font-size--h-1: 36px !important;
    --wp--preset--font-size--h-2: 34px !important;

    --wp--custom--wrapper--py: 100px !important;
    --wp--custom--wrapper--py-b: 40px !important;
    --wp--custom--wrapper--px: 20px !important;
  }

  /* --- POPUP --- */

  .popup-formulaire {
    width: 500px !important;
  }

  .popup-formulaire .title-popup {
    font-size: 32px !important;
  }

  .popup-formulaire .text-popup {
    font-size: 20px !important;
  }
}

@media not all and (min-width: 640px) {
  :root {
    --wp--preset--font-size--h-3: 28px !important;
    --wp--preset--font-size--callout: 16px !important;

    --wp--custom--wrapper--py: 60px !important;
  }

  .menu .menu-menu-container ul,
  .menu {
    align-items: center !important;
  }

  .menu::before,
  .menu::after {
    transform: translateX(calc(-50vw - 10px)) !important;
  }

  .menu::after {
    transform: translateX(calc(-50vw + 110px)) !important;
  }

  /* --- POPUP --- */

  .popup-formulaire {
    width: 90% !important;
    padding: var(--wp--preset--spacing--32) !important;
  }

  .popup-formulaire .title-popup {
    font-size: 28px !important;
  }
}

/* --------------- FIN RESPONSIVE ---------------- */

/* ------------------ VARIABLE ------------------- */

:root {
  --px: var(--wp--custom--wrapper--px);
  --py: var(--wp--custom--wrapper--py);
  --pyb: var(--wp--custom--wrapper--py-b);
  --gap: var(--wp--custom--wrapper--gap);
}

/* ------------------ GENERAL -------------------- */

html {
  overflow-x: hidden;
  background-color: var(--wp--preset--color--light);
}

html {
  scroll-behavior: smooth;
  scroll-padding-top: 120px;
}

body {
  position: relative;
  padding-top: 115px;
}

.menu::before,
.menu::after,
body::before,
body::after {
  content: "";
  width: 100px;
  height: 100%;
  position: absolute;
  top: 0;
  right: 0;
  transform: translateX(calc(((-100vw - 120px) / 4) - 5px));
  z-index: -1;
  background-color: var(--wp--preset--color--secondary);
}

body::before {
  transform: translateX(calc(((-100vw - 120px) / 4) + 115px));
}

.menu::before,
.menu::after {
  transform: translateX(-100px);
  z-index: 60;
}

.menu::after {
  transform: translateX(-220px);
}

.menu .btn-contact,
.navbar .btn-contact,
.button-outlined,
.button-filled {
  display: flex;
  flex-direction: row-reverse;
  padding: 12px 24px;
  gap: 10px;
  background-color: var(--wp--preset--color--light);
  color: var(--wp--preset--color--dark);
  font-family: var(--wp--preset--font-family--primary);
  font-weight: 700;
  cursor: pointer;
  border-bottom: solid 5px;
  border-color: var(--wp--preset--color--primary);
}

.button-filled:hover {
  background: var(--wp--preset--color--primary-hovered);
}

.button-outlined {
  background-color: transparent;
}

.button-outlined:hover {
  background: var(--wp--preset--color--light);
}

/* ----------------- PLAYER VIDEO ----------------- */

.video-hero {
  position: absolute;
  aspect-ratio: 21/9;
  left: 50% !important;
  top: 50% !important;
  transform: translatex(-50%) translateY(-50%) !important;
  width: auto !important;
  height: auto !important;
  min-width: 116% !important;
  min-height: 100% !important;
}

.filtre-video::after {
  position: absolute;
  content: "";
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--wp--preset--gradient--filter-video);
  pointer-events: none;
}

.filtre-img::after {
  position: absolute;
  content: "";
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--wp--preset--gradient--filter-img);
  opacity: 0.8;
  pointer-events: none;
}

/* ---------------- HEADER --------------- */

.navbar {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
}

.navbar p:empty {
  display: none;
}

.navbar ul {
  display: flex;
  align-items: center;
  gap: 20px;
}

.menu .menu-item,
.navbar .menu-item {
  font-family: var(--wp--preset--font-family--primary);
  font-weight: 700;
  height: fit-content;
  transition: color 0.3s ease-in-out;
}

.menu .menu-item:hover,
.menu .current-menu-item,
.navbar .current-menu-item,
.navbar .menu-item:hover {
  color: var(--wp--preset--color--primary);
}

.menu .btn-contact,
.navbar .btn-contact {
  flex-direction: row;
}

.menu .btn-contact::after,
.navbar .btn-contact::after {
  content: "";
  display: inline-block;
  width: 15px;
  height: auto;
  background-image: url(/wp-content/uploads/2026/05/arrow.png);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
}

.picto-burger,
.picto-close {
  display: none;
  align-items: center;
  justify-content: center;
  width: 40px !important;
  height: 40px !important;
  cursor: pointer;
}

.picto-close img {
  width: 25px !important;
  height: 25px !important;
}

.picto-burger.active,
.picto-close.active {
  display: flex;
}

.menu {
  position: fixed;
  background: var(--wp--preset--color--light);
  z-index: 50;
  top: 0;
  left: 0;
  transform: translateY(-100%);
  height: calc(100dvh - 115px);
  transition: transform 0.5s ease-in-out;
}

.menu.open {
  transform: translateY(115px);
}

.menu .menu-menu-container ul {
  position: relative;
  display: flex;
  flex-direction: column;
  padding: 40px;
  gap: 60px;
  z-index: 80;
}

.menu .menu-item {
  font-size: var(--wp--preset--font-size--menu-item);
}

.menu .btn-contact {
  background: transparent;
}

/* ---------------- FORMULAIRE --------------- */

.formulaire .wpforms-container {
  margin: unset !important;
}

.formulaire .wpforms-field-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
  gap: var(--wp--preset--spacing--16);
  width: 100%;
}

.formulaire .wpforms-field {
  padding: unset;
  width: 100%;
}

.formulaire .wpforms-field input,
.formulaire .wpforms-field textarea,
.formulaire .wpforms-field-select select,
.formulaire .wpforms-field input::placeholder,
.formulaire .wpforms-field-required input::before,
.formulaire .wpforms-field-required input::after,
.formulaire .wpforms-field-required input,
.formulaire .wpforms-field .wpforms-uploader {
  background-color: transparent !important;
  border-color: var(--wp--preset--color--dark) !important;
  color: var(--wp--preset--color--dark) !important;
}

.formulaire
  .wpforms-field-radio
  .wpforms-field-required
  .wpforms-selected
  input::after {
  background-color: var(--wp--preset--color--dark) !important;
}

.formulaire .wpforms-field .wpforms-uploader,
.formulaire .wpforms-field-select select,
.formulaire .wpforms-field input,
.formulaire .wpforms-field textarea {
  max-width: 100%;
  border-radius: 0px !important;
}

.formulaire .wpforms-field textarea {
  height: 115px !important;
}

.formulaire .wpforms-field-required input::before,
.formulaire .wpforms-field-required input::after,
.formulaire .wpforms-field-required input {
  border-radius: 0px !important;
}

.formulaire .wpforms-field-label,
.formulaire .wpforms-field-label-inline {
  margin-bottom: 6px !important;
  font-family: var(--wp--preset--font-family--secondary);
  font-weight: 400;
  color: var(--wp--preset--color--dark) !important;
  word-break: auto-phrase;
}

.formulaire .wpforms-field-large {
  padding: 10px var(--wp--preset--spacing--16);
}

.formulaire .wpforms-required-label {
  display: none;
}

.formulaire .wpforms-submit-container {
  margin-top: var(--wp--preset--spacing--16) !important;
}

.formulaire .wpforms-field-checkbox .choice-1 input {
  align-self: center;
}

div.wpforms-container-full select {
  background-image:
    linear-gradient(45deg, transparent 50%, var(--wp--preset--color--dark) 50%),
    linear-gradient(135deg, var(--wp--preset--color--dark) 50%, transparent 50%);
}

.formulaire .wpforms-field .wpforms-uploader {
  border-style: solid !important;
  padding: 10px 15px !important;
  align-items: start !important;
  justify-content: center !important;
}

.formulaire .dz-message {
  justify-content: flex-start !important;
  align-items: flex-start !important;
  text-align: start !important;
}

.formulaire .dz-message span {
  font-family: var(--wp--preset--font-family--secondary);
  font-weight: 400;
  color: var(--wp--preset--color--dark) !important;
}

.formulaire .dz-message svg {
  display: none;
}

.formulaire .wpforms-submit {
  height: auto !important;
  background-color: transparent !important;
  border-radius: 0px !important;
  padding: 12px 24px !important;
  font-family: var(--wp--preset--font-family--primary) !important;
  color: var(--wp--preset--color--dark) !important;
  font-weight: 700 !important;
  border-bottom: solid 5px !important;
  border-color: var(--wp--preset--color--primary) !important;
}

.formulaire .wpforms-submit:hover {
  background: var(--wp--preset--color--light) !important;
}

/* ----------- POP UP FORMULAIRE ------------- */

.popup-formulaire {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: var(--wp--preset--color--dark);
  border-radius: 18px;
  color: var(--wp--preset--color--light);
  padding: 100px;
  gap: 26px;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 900px;
  line-height: 1.2;
  text-align: center;
  z-index: 10000;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  pointer-events: none;
}

.popup-formulaire .title-popup {
  font-family: var(--wp--preset--font-family--primary);
  font-size: var(--wp--preset--font-size--h-2);
  font-weight: 700;
}

.popup-formulaire .text-popup {
  font-family: var(--wp--preset--font-family--primary);
  font-size: var(--wp--preset--font-size--h-3);
  font-weight: 400;
}

.popup-formulaire .button-popup {
}

.popup-formulaire.active {
  opacity: 1;
  pointer-events: all;
}

.wpforms-confirmation-container-full {
  background: transparent !important;
  border: 1px solid var(--wp--preset--color--secondary) !important;
  border-radius: 6px !important;
  font-family: var(--wp--preset--font-family--secondary);
}

.wpforms-confirmation-container-full p {
  color: var(--wp--preset--color--dark) !important;
}

/* -------------------- FOOTER NETDEV ---------------- */

.netdev-footer {
  background-color: var(--wp--preset--color--primary) !important;
}

.netdev-footer,
.netdev-footer .netdev-footer-content .netdev-footer-text a {
  color: var(--wp--preset--color--light) !important;
}

.netdev-footer .logo,
.netdev-footer .netdev-footer-content .netdev-footer-text a {
  opacity: unset !important;
}

/* ---------------------- MENTIONS LEGALES --------------------- */

.netdev-mentions-legales h2 {
  margin-top: 32px;
  margin-bottom: 20px;
}

.netdev-mentions-legales a {
  text-decoration: underline;
}
